/*
** cursor.c
** 
** Made by (Stephane RAULT)
** Login   <rault_s@epita.fr>
** 
** Started on  Mon May 10 16:43:30 1999 Stephane RAULT
 ** Last update Mon May 10 17:30:32 1999 Stephane RAULT
*/

#include "epiwm.h"

void		set_border_cursor(border)
     Window	border;
{
  XWindowAttributes   attrib;
  
  XGetWindowAttributes(gl_dpy, border, &attrib);
  XDefineCursor(gl_dpy, border, gl_epiwin.normal_cursor);
  if (gl_event.xmotion.x < gl_epiwin.border_width)
    {
      if (gl_event.xmotion.y > (attrib.height - 5))
	XDefineCursor(gl_dpy, border, gl_epiwin.resize_SW_cursor);
      else
	XDefineCursor(gl_dpy, border, gl_epiwin.resize_W_cursor);
    }
  if (gl_event.xmotion.x > (attrib.width - gl_epiwin.border_width))
    {
      if (gl_event.xmotion.y > (attrib.height - 5))
	XDefineCursor(gl_dpy, border, gl_epiwin.resize_SE_cursor);
      else
	XDefineCursor(gl_dpy, border, gl_epiwin.resize_E_cursor);
    }
  if (gl_event.xmotion.y > (attrib.height - gl_epiwin.border_width))
    {
      if (gl_event.xmotion.x < 5)
	XDefineCursor(gl_dpy, border, gl_epiwin.resize_SW_cursor);
      else if (gl_event.xmotion.x > (attrib.width - 5))
	XDefineCursor(gl_dpy, border, gl_epiwin.resize_SE_cursor);
      else
	XDefineCursor(gl_dpy, border, gl_epiwin.resize_S_cursor);
    }
}

void		set_titlebar_cursor(titlebar)
     Window	titlebar;
{
  XWindowAttributes   attrib;
  
  XDefineCursor(gl_dpy, titlebar, gl_epiwin.normal_cursor);
  XGetWindowAttributes(gl_dpy, titlebar, &attrib);
  if (gl_event.xmotion.y < gl_epiwin.border_width)
    {
      if (gl_event.xmotion.x < 5)
	XDefineCursor(gl_dpy, titlebar, gl_epiwin.resize_NW_cursor);
      else if (gl_event.xmotion.x > (attrib.width - 5))
	XDefineCursor(gl_dpy, titlebar, gl_epiwin.resize_NE_cursor);
      else
	XDefineCursor(gl_dpy, titlebar, gl_epiwin.resize_N_cursor);
    }
}
  
