/*
 ** mouse_events.h
 ** 
 ** Made by (Poindessous Thomas)
 ** Login   <poinde_t@epita.fr>
 ** 
 ** Started on  Wed Feb 24 16:09:16 1999 Poindessous Thomas
 ** Last update Mon May 10 00:31:34 1999 Poindessous Thomas
 */

#ifndef   __MOUSE_EVENTS_H__
#define   __MOUSE_EVENTS_H__

typedef struct	s_mouse_move_win
{
   XButtonEvent	*button;   
   t_win	*temp;
}		t_mouse_move_win;

typedef struct	s_win_move
{
   Window	win;
   Window	bef;
   int		mouse_x;
   int		mouse_y;
   int		win_x;
   int		win_y;
   int		width;
   int		height;
   Time		last;
   Time		time_press;
}		t_win_move;

void	catch_win_mouse();
void	mouse_enter_win();
void	mouse_leave_win();
void	mouse_press();
void	mouse_release();
void	mouse_move_win(t_mouse_move_win *);
void	mouse_on_icon(Window);
void	mouse_out_icon(Window);
void	mouse_uniconify(t_mouse_move_win *);
void	mouse_iconify(t_mouse_move_win *);
void	mouse_shade(t_mouse_move_win *);
void	mouse_resize_max(t_mouse_move_win *);
void	mouse_resize(t_mouse_move_win *);
void	mouse_resize_l_r_d(t_mouse_move_win *);
/*void	mouse_resize_win_increment(Window, int *, int *);*/
void	mouse_on_menu(t_menu_pos *);
void	mouse_on_border_notify();
void	wait_before_change_workspace(char);
int	compare_mouse_position(char, int, int);
void	go_to_pager(char, int, int);
void	set_cursor_pager(char);
void	move_all_windows(int, int);

t_win_move	gl_win_move;
#endif /* __MOUSE_EVENTS_H__ */
